# 构建阶段
FROM registry.cn-shenzhen.aliyuncs.com/zuoge-proxy/node:20-alpine AS build
RUN npm install -g pnpm --registry=https://registry.npmmirror.com

WORKDIR /app
COPY package.json pnpm-lock.yaml* ./
RUN pnpm install --registry=https://registry.npmmirror.com

COPY . .
RUN pnpm build

# 部署阶段
FROM crpi-an5dzzjadzt6601u.cn-shenzhen.personal.cr.aliyuncs.com/softnook-proxy/nginx:1.27.3-alpine AS app
COPY --from=build /app/dist /usr/share/nginx/html
COPY docker/nginx.conf /etc/nginx/nginx.conf
